Apache::Symdump(3)

NAME
Apache::Symdump - Symbol table snapshots

SYNOPSIS
 PerlLogHandler Apache::Symdump

DESCRIPTION
Apache:Symdump uses Devel::Symdump to record snapshots of the Perl symbol table in ServerRoot/logs/symdump.$$.$n Where $$ is the process id and $n is incremented each time the handler is run. The diff utility can be used to compare snapshots and get an idea of what might be making a process grow. Normally, new symbols come from modules or scripts that were not preloaded, the Perl method cache, etc.

 % diff -u symdump.$$.0 symdump.$$.1

CAVEATS
Apache::Symdump does not cleanup up its snapshot files, do so simply by:

 % rm logs/symdump.* logs/incdump.*

SEE ALSO
Devel::Symdump(3), Apache::Leak(3)

AUTHOR
Doug MacEachern